package jp.ac.nii.icpc2010.manager;

import jp.ac.nii.icpc2010.players.AbstractPlayer;
import jp.ac.nii.icpc2010.players.Player;
import jp.ac.nii.icpc2010.playfield.FieldDirection;

public class PlayerRunProcess implements Runnable {
	private FieldDirection[] input;
	private Player player;
	
	public PlayerRunProcess(FieldDirection[] input, Player player, long finishTime){
		this.input = input; 
		this.player = player;
		((AbstractPlayer) player).setFinishTime(finishTime);
		return;
	}

	public void run(){
		this.input[0] = this.player.getInput();
	}
}
